/* -------------------------------------------------------------
 * Program Name: ColorSelect.java
 * Purpose: This program show color selection interface by GUI
 * Programer: Lee Sing Wai Salamun 41208/2A(17)
 * EMail_address: 020210000@stu.vtc.edu.hk
 * Version: 1.0 (Date of revision: 10-11-2003)
 * Organization: VTC-IVE(KC)-CP
 * -------------------------------------------------------------
 */

import java.awt.*;

import javax.swing.*;

public class ColorSelect extends JFrame {
	private JButton ok, cancel;
	private JCheckBox background, foreground;
	private JComboBox colorList;
	private JPanel panel, panel2;
	
	public ColorSelect()
	{
		super( "ColorSelect" );
		
		getContentPane().setLayout( new BorderLayout() );
		
		colorList = new JComboBox();
		colorList.addItem( "RED" );
		getContentPane().add( colorList, BorderLayout.NORTH );
		
		panel = new JPanel();
		background = new JCheckBox( "Background" );
		foreground = new JCheckBox( "Foreground" );
		panel.add( background );
		panel.add( foreground );
		getContentPane().add( panel, BorderLayout.CENTER );
		
		ok = new JButton( "Ok" );
		cancel = new JButton( "Cancel" );
		panel2 = new JPanel();
		panel2.add( ok );
		panel2.add( cancel );
		getContentPane().add( panel2, BorderLayout.SOUTH );
		
		setSize( 300, 125 );
		show();
	}
	
	public static void main ( String args[] )
	{
		ColorSelect app = new ColorSelect();
		
		app.setDefaultCloseOperation( EXIT_ON_CLOSE );
	}
}