/* ---------------------------------------------------------------
 * Program Name: CD.java
 * Purpose: This program is constructor of CD Database System
 * Programer: Lee Sing Wai Salamun 41208/2A(17)
 * EMail_address: 020210000@stu.vtc.edu.hk
 * Version: 1.0 (Date of revision: 15-10-2003)
 * Organization: VTC-IVE(KC)-CP
 * ---------------------------------------------------------------
 */

public class CD {
	private String code;		// Code of CD
	private String title;	// Title of CD
	private double price;	// Price of CD
	
	public CD( String code, String title, double price )
	{
		this.code = code;		// Initialize code, title and price
		this.title = title;	// to the value passed in from the 
		this.price = price;	// arguments
	}
	
	public void setCode( String code )
	{	// Set value of code
		this.code = code;
	}
	
	public void setTitle( String title )
	{	// Set value of title
		this.title = title;
	}
	
	public void setPrice( double price )
	{	// Set value of price
		this.price = price;
	}
	
	public String getCode()
	{	// Return the code
		return code;
	}
	
	public String getTitle()
	{	// Return the title
		return title;
	}
	
	public double getPrice()
	{	// Return the price
		return price;
	}
	
	public String toString()
	{	// Return the representation of CD
		String cdInfo = "Code: " + code +
							 "\nTitle: " + title +
							 "\nPrice: " + price;
		return cdInfo;
	}
}	// End class CD

/* This program just creates the class CD,
   it doesn't execute alone.
   Other programs are going to call it for execution
*/