/* ---------------------------------------------------------
 * Program Name: Calculator.java
 * Purpose: This program show calculator interface by GUI
 * Programer: Lee Sing Wai Salamun 41208/2A(17)
 * EMail_address: 020210000@stu.vtc.edu.hk
 * Version: 1.0 (Date of revision: 10-11-2003)
 * Organization: VTC-IVE(KC)-CP
 * ---------------------------------------------------------
 */

import javax.swing.*;
import java.awt.*;

public class Calculator extends JApplet {
	private JButton keys[];
	private JPanel keyPad;
	private JTextField lcd;
	
	String keyText[] = { "7", "8", "9", "/",
								"4", "5", "6", "*",
								"1", "2", "3", "-",
								"0", ".", "=", "+"  };
	
	public void init()
	{
		lcd = new JTextField( 20 );
		keyPad = new JPanel();
		keys = new JButton[ keyText.length ];
		
		keyPad.setLayout( new GridLayout( 4, 4 ) );
		
		for(int i = 0; i < keyText.length; i++) {
			keys[i] = new JButton( keyText[i] );
			keyPad.add( keys[i]);
		}
		
		getContentPane().setLayout( new BorderLayout() );
		getContentPane().add( lcd, BorderLayout.NORTH );
		getContentPane().add( keyPad, BorderLayout.CENTER );
	}
}